#!/bin/bash

set -o nounset
set -o errexit


if [ $# -ne 4 ]
then
  echo "Usage:   ./ensemble.sh EXP MEMBER YEARSTART YEAREND"
  echo "Example: ./ensemble.sh e00x fc0 1990 2000"
  exit 1
fi

exp=$1
MEMBER=$2
year1=$3
year2=$4

. ./config.sh

# Printing scores into one file per variable (easier to read later by R)
for var in t2m msl qnet tp ewss nsss SST SSS SICE ; do
  echo $var
  cat ${MAINDIR}/EC-Earth_diags/${exp}/fc*/PI3_RK08_${exp}_${year1}_${year2}.txt | grep $var | awk {'print $2'} > ${exp}_${MEMBER}_${year1}_${year2}_${var}.txt
done

for var in T U V Q ; do
  echo $var
  cat ${MAINDIR}/EC-Earth_diags/${exp}/fc*/PI3_RK08_${exp}_${year1}_${year2}.txt | grep $var | grep zonal | awk {'print $2'} > ${exp}_${MEMBER}_${year1}_${year2}_${var}.txt
done
